com.sun.jna.win32

## Interface StdCallLibrary

- All Superinterfaces:
    AltCallingConvention, Library, StdCall
  All Known Subinterfaces:
    Advapi32, Crypt32, Ddeml, Dxva2, GDI32, Kernel32, Mpr, Msi, Netapi32, NtDll, Ole32, OleAuto, OpenGL32, Pdh, Psapi, Rasapi32, Secur32, SetupApi, Shell32, ShellAPI, Shlwapi, User32, Version, W32APIOptions, Wevtapi, Wininet, Winspool, Wtsapi32
  All Known Implementing Classes:
    AccCtrl

      public interface StdCallLibrary
      extends Library, StdCall

  Interface for w32 stdcall calling convention.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `StdCallLibrary.StdCallCallback` Interface defining a callback using the w32 stdcall calling convention.

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FunctionMapper` | `FUNCTION_MAPPER` Provides auto-lookup of stdcall-decorated names.
    `static int` | `STDCALL_CONVENTION` Constant identifying the w32 stdcall calling convention.

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

- - ### Field Detail

    - #### STDCALL_CONVENTION

          static final int STDCALL_CONVENTION

      Constant identifying the w32 stdcall calling convention.
      See Also:
        Constant Field Values

    - #### FUNCTION_MAPPER

          static final FunctionMapper FUNCTION_MAPPER

      Provides auto-lookup of stdcall-decorated names.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.